<div>
    <div class="file">
        <form action="upload" method="post" enctype="multipart/form-data">
            <input type="file" name="file">
            <input type="hidden" name="path" value="${path}">
            <button type="submit">提交</button>
        </form>
    </div>

    <ul>
    <#list files as item>
        <li>
            <#if item.isDirectory()>
                <a href="?path=${html.getPath(item)}/" class="dir">${item.name}</a>
            <#else>
                <a target="_blank" href='download?file=${html.getPath(item)}'>${item.name}</a>
            </#if>
        ${html.getHtml(item)}
        </li>
    </#list>
    </ul>
</div>
<style>
    * {
        padding: 0px;
        margin: 0px;
    }

    html, body {
        width: 100%;
        height: 100%;
    }

    ul {
        list-style: none;
        padding-left: 20px;
        margin: 0px;
    }

    div > ul {
        padding-left: 5px;
        border-left: 3px solid #00a2e2;
    }

    a {
        color: #00a2e2;
        transition: color .2s ease;
        text-decoration: none;
        outline: 0;
        cursor: pointer;
    }

    a.dir {
        color: #757575;
    }

    a:active, a:hover {
        outline-width: 0
    }

    a:hover {
        opacity: 0.7;
    }

    a:active {
        opacity: 0.9;
    }

    a:active, a:hover {
        outline: 0;
        text-decoration: none
    }

    a[disabled] {
        color: #ccc;
        cursor: not-allowed;
        pointer-events: none
    }

    .file {
        padding-bottom: 10px;
        border-bottom: 3px solid #00a2e2;
    }

    .dir {

    }

    .dir:after {
        content: "/";
    }
</style>

